Disable the history snapshot task Generally available; added in 9.6.0

PUT /api/security/entity_store/history_snapshot/disable

Spaces method and path for this operation:

put /s/{space_id}/api/security/entity_store/history_snapshot/disable

Refer to Spaces for more information.

Disable the Entity Store history snapshot task for this space so it no longer creates snapshot indices. Existing snapshot indices remain unless you set clearHistorySnapshots to true. Returns 404 if the Entity Store is not installed in the current space.

[Required authorization] Route required privileges: securitySolution.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • clearHistorySnapshots boolean

    When true, deletes existing history snapshot indices for this space in the background after the task is disabled. The response returns immediately and does not wait for deletion to finish. Deletion failures are logged and are not returned to the caller. If the task is already disabled, the request succeeds and does not delete indices. Defaults to false.

    Default value is false.

Responses

  • 200 application/json

    Indicates a successful response.

  • 404 application/json

    Entity store is not installed.

PUT /api/security/entity_store/history_snapshot/disable
curl -X PUT -H "kbn-xsrf: true" -H "Content-Type: application/json" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -d '{}' \
  "${KIBANA_URL}/api/security/entity_store/history_snapshot/disable"
curl -X PUT -H "kbn-xsrf: true" -H "Content-Type: application/json" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -d '{"clearHistorySnapshots":true}' \
  "${KIBANA_URL}/api/security/entity_store/history_snapshot/disable"
PUT kbn://api/security/entity_store/history_snapshot/disable
{}
PUT kbn://api/security/entity_store/history_snapshot/disable
{
  "clearHistorySnapshots": true
}
Request examples
{
  "clearHistorySnapshots": true
}
{}
Response examples (200)
The Entity Store history snapshot task was disabled.
{
  "ok": true
}
Response examples (404)
The Entity Store history snapshot task cannot be disabled because the entity store is not installed.
{
  "error": "Not Found",
  "message": "Entity store is not installed",
  "statusCode": 404
}